%define name		village
%define version		1.5.3
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	JDBC-based relational database API
License:	Apache License
Url:		http://share.whichever.com/%{name}
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Village is a 100% Pure Java API that sits on top of the JDBC API. The
purpose of this API is to make it easier to interact with a JDBC
compliant relational database. By using Village, it is possible to
execute and manage select/insert/update/delete SQL statements without
having to actually write a single line of SQL. Village can use any valid
JDBC Connection object, so it is possible to use Village with a JDBC
Connection pool.
This software is being freely released under an Apache 1.1 Style
license. Please see docs/LICENSE.txt in the distribution for more
information.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant jar
ant javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 bin/%{name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/apidocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*.txt
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Wed May 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.3-1jpp 
- 1.5.3
- vendor, distribution, group tags

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-9jpp 
- fixed missing symlink

* Mon Feb 04 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-8jpp
- rebuild

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-7jpp 
- versioned dir for javadoc
- section macro
- no dependencies for javadoc package

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-6jpp
- javadoc into javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.5.2-5jpp
- removed packager tag
- new jpp extension

* Wed Oct 17 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-4jpp
- updated URL

* Tue Oct 16 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-3jpp
- used original archive

* Sat Oct 13 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-2jpp
- first unified release
- s/jPackage/JPackage

* Tue Sep 05 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-1mdk
- first Mandrake release
